# Package grails.dev.commands.template

- Interface Summary
  Interface | Description
  --- | ---
  TemplateRenderer | API for locating and rendering templates in the code generation layer

- Class Summary
  Class | Description
  --- | ---
  TemplateRendererImpl | API for locating and rendering templates in the code generation layer

- Exception Summary
  Exception | Description
  --- | ---
  TemplateException | Exception thrown when an error in template rendering occurs